use super::*;

pub async fn on_get_gacha_data(
    _session: &NetSession,
    _player: &mut Player,
    req: GetGachaDataCsReq,
) -> NetResult<GetGachaDataScRsp> {
    Ok(GetGachaDataScRsp {
        retcode: Retcode::RetSucc.into(),
        gacha_type: req.gacha_type,
        gacha_data: Some(GachaData::default()),
    })
}
